Index: issm/trunk/src/m/classes/masstransport.js
===================================================================
--- issm/trunk/src/m/classes/masstransport.js	(revision 25994)
+++ issm/trunk/src/m/classes/masstransport.js	(revision 26744)
@@ -1,104 +1,102 @@
-//MASSTRANSPORT class definition
-//
-//   Usage:
-//      masstransport=new masstransport();
+class masstransport {//{{{
+	/**
+	 * MASSTRANSPORT class definition
+	 *
+	 * Usage:
+	 *     masstransport = masstransport();
+	 */
+	constructor() {//{{{
+		this.spcthickness = NaN;
+		this.isfreesurface = 0;
+		this.min_thickness = 0;
+		this.hydrostatic_adjustment = 0;
+		this.stabilization = 0;
+		this.vertex_pairing = 0;
+		this.penalty_factor = 0;
+		this.requested_outputs = 0;
 
-function masstransport (){
-	//methods
-	this.setdefaultparameters = function(){// {{{
+		if (arguments.length == 0) {
+			this.setdefaultparameters();
+		} else {
+			error('constructor not supported');
+		}
+	} //}}}
 
-		//Type of stabilization to use 0:nothing 1:artificial_diffusivity 3:Discontinuous Galerkin
-		this.stabilization=1;
+	disp() {//{{{
+		console.log('WARNING: masstransport::disp is not yet implemented');
+	} //}}}
 
-		//Factor applied to compute the penalties kappa=max(stiffness matrix)*10^penalty_factor
-		this.penalty_factor=3;
+	setdefaultparameters() {//{{{
+		// Type of stabilization to use 0:nothing 1:artificial_diffusivity 3:Discontinuous Galerkin
+		this.stabilization = 1;
 
-		//Minimum ice thickness that can be used
-		this.min_thickness=1;
+		// Factor applied to compute the penalties kappa=max(stiffness matrix)*10^penalty_factor
+		this.penalty_factor = 3;
 
-		//Hydrostatic adjustment
-		this.hydrostatic_adjustment='Absolute';
+		// Minimum ice thickness that can be used
+		this.min_thickness = 1;
 
-		//default output
-		this.requested_outputs=['default'];
+		// Hydrostatic adjustment
+		this.hydrostatic_adjustment = 'Absolute';
 
-	}// }}}
-	this.disp= function(){// {{{
-		console.log(sprintf('   Masstransport solution parameters:'));
-		fielddisplay(this,'spcthickness','thickness constraints (NaN means no constraint) [m]');
-		fielddisplay(this,'isfreesurface','do we use free surfaces (FS only) or mass conservation');
-		fielddisplay(this,'min_thickness','minimum ice thickness allowed [m]');
-		fielddisplay(this,'hydrostatic_adjustment',"adjustment of ice shelves surface and bed elevations: 'Incremental' or 'Absolute' ");
-		fielddisplay(this,'stabilization','0: no, 1: artificial_diffusivity, 2: streamline upwinding, 3: discontinuous Galerkin, 4: Flux Correction Transport');
+		// Default output
+		this.requested_outputs = ['default'];
+	} //}}}
 
-		console.log(sprintf('\n      %s','Penalty options:'));
-		fielddisplay(this,'penalty_factor','offset used by penalties: penalty = Kmax*10^offset');
-		fielddisplay(this,'vertex_pairing','pairs of vertices that are penalized');
-		fielddisplay(this,'requested_outputs','additional outputs requested');
+	checkconsistency(md, solution, analyses) {//{{{
+		// Early return
+		if (analyses.includes('HydrologyShreveAnalysis') || (solution == 'TransientSolution' && !md.trans.ismasstransport)) {
+			return md;
+		}
 
-	}// }}}
-	this.classname= function(){// {{{
-		return "masstransport";
-	}// }}}
-    this.extrude = function(md) {//{{{
-        this.spcthickness=project3d(md,'vector',this.spcthickness,'type','node');
-        return this;
-    }//}}}
-		this.checkconsistency = function (md,solution,analyses){  // {{{
+		md = checkfield(md, 'fieldname', 'masstransport.spcthickness', 'Inf', 1, 'timeseries', 1);
+		md = checkfield(md, 'fieldname', 'masstransport.isfreesurface', 'values', [0, 1]);
+		md = checkfield(md, 'fieldname', 'masstransport.hydrostatic_adjustment', 'values', ['Absolute', 'Incremental']);
+		md = checkfield(md, 'fieldname', 'masstransport.stabilization', 'values', [0, 1, 2, 3, 4, 5]);
+		md = checkfield(md, 'fieldname', 'masstransport.min_thickness', '>', 0);
+		md = checkfield(md, 'fieldname', 'masstransport.requested_outputs', 'stringrow', 1);
+		if (!any(isnan(md.stressbalance.vertex.vertex_pairing))) {
+			md = checkfield(md, 'fieldname', 'stressbalance.vertex_pairing', '>', 0);
+		}
 
-			//Early return
-			if(!ArrayAnyEqual(ArrayIsMember('HydrologyShreveAnalysis',analyses),1) | (solution=='TransientSolution' & md.trans.ismasstransport==0)) return; 
+		return md;
+	} //}}}
 
-			checkfield(md,'fieldname','masstransport.spcthickness','Inf',1,'timeseries',1);
-			checkfield(md,'fieldname','masstransport.isfreesurface','values',[0 ,1]);
-			checkfield(md,'fieldname','masstransport.hydrostatic_adjustment','values',['Absolute', 'Incremental']);
-			checkfield(md,'fieldname','masstransport.stabilization','values',[0,1,2,3,4]);
-			checkfield(md,'fieldname','masstransport.min_thickness','>',0);
-			checkfield(md,'fieldname','masstransport.requested_outputs','stringrow',1);
+	defaultoutputs(md) {//{{{
+		return ['Thickness', 'Surface', 'Base'];
+	} //}}}
 
-		} // }}}
-		this.marshall=function(md,prefix,fid) { //{{{
+	marshall(md, prefix, fid) {//{{{
+		let yts = md.constants.yts;
 
-			var yts=md.constants.yts;
+		WriteData(fid, prefix, 'object', this, 'fieldname', 'spcthickness', 'format', 'DoubleMat', 'mattype', 1, 'timeserieslength', md.mesh.numberofvertices + 1, 'yts', yts);
+		WriteData(fid, prefix, 'object', this, 'fieldname', 'isfreesurface', 'format', 'Boolean');
+		WriteData(fid, prefix, 'object', this, 'fieldname', 'min_thickness', 'format', 'Double');
+		WriteData(fid, prefix, 'data', this.hydrostatic_adjustment, 'format', 'String', 'name', 'md.masstransport.hydrostatic_adjustment');
+		WriteData(fid, prefix, 'object', this, 'fieldname', 'stabilization', 'format', 'Integer');
+		WriteData(fid, prefix, 'object', this, 'fieldname', 'vertex_pairing', 'format', 'DoubleMat', 'mattype', 3);
+		WriteData(fid, prefix, 'object', this, 'fieldname', 'penalty_factor', 'format', 'Double');
 
-			WriteData(fid,prefix,'object',this,'fieldname','spcthickness','format','DoubleMat','mattype',1,'timeserieslength',md.mesh.numberofvertices+1,'yts',md.constants.yts);
-			WriteData(fid,prefix,'object',this,'fieldname','isfreesurface','format','Boolean');
-			WriteData(fid,prefix,'object',this,'fieldname','min_thickness','format','Double');
-			WriteData(fid,prefix,'data',this.hydrostatic_adjustment,'format','String','name','md.masstransport.hydrostatic_adjustment');
-			WriteData(fid,prefix,'object',this,'fieldname','stabilization','format','Integer');
-			WriteData(fid,prefix,'object',this,'fieldname','vertex_pairing','format','DoubleMat','mattype',3);
-			WriteData(fid,prefix,'object',this,'fieldname','penalty_factor','format','Double');
+		// Process requested outputs
+		let outputs = this.requested_outputs;
+		let pos = find(ismember(outputs, 'default'));
+		if (pos.length) {
+			/*
+			NOTE: In order to handle case where user has added 'default' more 
+			than once to this.requested_outputs, need to remove elements by 
+			index in reverse order.
+			*/
+			for (let i = (pos.length - 1); i >= 0; --i) {
+				outputs.splice(pos[i], 1);
+			}
+			let default_outputs = this.defaultoutputs(md);
+			for (let i = 0; i < default_outputs.length; ++i) {
+				outputs.push(default_outputs[i]);
+			}
+		}
+		WriteData(fid, prefix, 'data', outputs, 'name', 'md.masstransport.requested_outputs', 'format', 'StringArray');
+	} //}}}
 
-			//process requested outputs
-			var outputs = this.requested_outputs;
-			for (var i=0;i<outputs.length;i++){
-				if (outputs[i] == 'default') {
-					outputs.splice(i,1);
-					var newoutputs=this.defaultoutputs(md);
-					for (var j=0;j<newoutputs.length;j++) outputs.push(newoutputs[j]);
-				}
-			}
-			WriteData(fid,prefix,'data',outputs,'name','md.masstransport.requested_outputs','format','StringArray');
-		}//}}}
-		this.defaultoutputs = function(md) { //{{{
-			return ['Thickness','Surface','Base'];
-		}//}}}
-		this.fix=function() { //{{{
-			this.spcthickness=NullFix(this.spcthickness,NaN);
-			this.vertex_pairing=NullFix(this.vertex_pairing,NaN);
-		}//}}}
-	//properties 
-	// {{{
-
-	this.spcthickness           = NaN;
-	this.isfreesurface          = 0;
-	this.min_thickness          = 0;
-	this.hydrostatic_adjustment = 0;
-	this.stabilization          = 0;
-	this.vertex_pairing         = NaN;
-	this.penalty_factor         = 0;
-	this.requested_outputs      = [];
-
-	this.setdefaultparameters();
-	//}}}
+	extrude(md) {//{{{
+	} //}}}
 }
Index: issm/trunk/src/m/classes/masstransport.m
===================================================================
--- issm/trunk/src/m/classes/masstransport.m	(revision 25994)
+++ issm/trunk/src/m/classes/masstransport.m	(revision 26744)
@@ -105,5 +105,5 @@
 			fielddisplay(self,'min_thickness','minimum ice thickness allowed [m]');
 			fielddisplay(self,'hydrostatic_adjustment','adjustment of ice shelves surface and bed elevations: ''Incremental'' or ''Absolute'' ');
-			fielddisplay(self,'stabilization','0: no, 1: artificial_diffusivity, 2: streamline upwinding, 3: discontinuous Galerkin, 4: Flux Correction Transport, 5: streamline upwind Petrov-Galerkin (SUPG)');
+			fielddisplay(self,'stabilization','0: no stabilization, 1: artificial diffusion, 2: streamline upwinding, 3: discontinuous Galerkin, 4: flux corrected transport, 5: streamline upwind Petrov-Galerkin (SUPG)');
 
 			disp(sprintf('\n      %s','Penalty options:'));
Index: issm/trunk/src/m/classes/masstransport.py
===================================================================
--- issm/trunk/src/m/classes/masstransport.py	(revision 25994)
+++ issm/trunk/src/m/classes/masstransport.py	(revision 26744)
@@ -35,5 +35,5 @@
         s += '{}\n'.format(fielddisplay(self, 'min_thickness', 'minimum ice thickness allowed [m]'))
         s += '{}\n'.format(fielddisplay(self, 'hydrostatic_adjustment', 'adjustment of ice shelves surface and bed elevations: ''Incremental'' or ''Absolute'' '))
-        s += '{}\n'.format(fielddisplay(self, 'stabilization', '0: no, 1: artificial_diffusivity, 2: streamline upwinding, 3: discontinuous Galerkin, 4: Flux Correction Transport'))
+        s += '{}\n'.format(fielddisplay(self, 'stabilization', '0: no stabilization, 1: artificial diffusion, 2: streamline upwinding, 3: discontinuous Galerkin, 4: flux corrected transport, 5: streamline upwind Petrov-Galerkin (SUPG)'))
         s += '{}\n'.format(fielddisplay(self, 'requested_outputs', 'additional outputs requested'))
         return s
@@ -71,5 +71,5 @@
         md = checkfield(md, 'fieldname', 'masstransport.isfreesurface', 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'masstransport.hydrostatic_adjustment', 'values', ['Absolute', 'Incremental'])
-        md = checkfield(md, 'fieldname', 'masstransport.stabilization', 'values', [0, 1, 2, 3, 4])
+        md = checkfield(md, 'fieldname', 'masstransport.stabilization', 'values', [0, 1, 2, 3, 4, 5])
         md = checkfield(md, 'fieldname', 'masstransport.min_thickness', '>', 0)
         md = checkfield(md, 'fieldname', 'masstransport.requested_outputs', 'stringrow', 1)
Index: issm/trunk/src/m/classes/matdamageice.m
===================================================================
--- issm/trunk/src/m/classes/matdamageice.m	(revision 25994)
+++ issm/trunk/src/m/classes/matdamageice.m	(revision 26744)
@@ -6,29 +6,23 @@
 classdef matdamageice
 	properties (SetAccess=public) 
-		rho_ice                    = 0.;
-		rho_water                  = 0.;
-		rho_freshwater             = 0.;
-		mu_water                   = 0.;
-		heatcapacity               = 0.;
-		latentheat                 = 0.;
-		thermalconductivity        = 0.;
-		temperateiceconductivity   = 0.;
+		rho_ice                         = 0.;
+		rho_water                       = 0.;
+		rho_freshwater                  = 0.;
+		mu_water                        = 0.;
+		heatcapacity                    = 0.;
+		latentheat                      = 0.;
+		thermalconductivity             = 0.;
+		temperateiceconductivity        = 0.;
 		effectiveconductivity_averaging = 0.;
-		meltingpoint               = 0.;
-		beta                       = 0.;
-		mixed_layer_capacity       = 0.;
-		thermal_exchange_velocity  = 0.;
-		rheology_B   = NaN;
-		rheology_n   = NaN;
-		rheology_law = '';
+		meltingpoint                    = 0.;
+		beta                            = 0.;
+		mixed_layer_capacity            = 0.;
+		thermal_exchange_velocity       = 0.;
+		rheology_B                      = NaN;
+		rheology_n                      = NaN;
+		rheology_law                    = '';
 
-		%giaivins: 
-		lithosphere_shear_modulus  = 0.;
-		lithosphere_density        = 0.;
-		mantle_shear_modulus       = 0.;
-		mantle_density             = 0.;
-
-		%slr
-		earth_density              = 0;
+		%slc
+		earth_density                   = 0;
 
 	end
@@ -78,5 +72,5 @@
 			%ice thermal conductivity (W/m/K)
 			self.thermalconductivity=2.4;
-			
+
 			%wet ice thermal conductivity (W/m/K)
 			self.temperateiceconductivity=.24;
@@ -84,5 +78,5 @@
 			%computation of effective conductivity
 			self.effectiveconductivity_averaging=1;
-            
+
 			%the melting point of ice at 1 atmosphere of pressure in K
 			self.meltingpoint=273.15;
@@ -101,12 +95,6 @@
 			self.rheology_law='Paterson';
 
-			% GIA:
-			self.lithosphere_shear_modulus  = 6.7*10^10;  % (Pa)
-			self.lithosphere_density        = 3.32;       % (g/cm^-3)
-			self.mantle_shear_modulus       = 1.45*10^11; % (Pa)
-			self.mantle_density             = 3.34;       % (g/cm^-3)
-
-			%SLR
-			self.earth_density= 5512;  % average density of the Earth, (kg/m^3)
+			%SLC
+			self.earth_density= 5512; % average density of the Earth (kg/m^3)
 
 		end % }}}
@@ -121,11 +109,5 @@
 			md = checkfield(md,'fieldname','materials.effectiveconductivity_averaging','numel',[1],'values',[0 1 2]);
 			
-			if ismember('GiaAnalysis',analyses),
-				md = checkfield(md,'fieldname','materials.lithosphere_shear_modulus','>',0,'numel',1);
-				md = checkfield(md,'fieldname','materials.lithosphere_density','>',0,'numel',1);
-				md = checkfield(md,'fieldname','materials.mantle_shear_modulus','>',0,'numel',1);
-				md = checkfield(md,'fieldname','materials.mantle_density','>',0,'numel',1);
-			end
-			if ismember('SealevelriseAnalysis',analyses),
+			if ismember('SealevelchangeAnalysis',analyses),
 				md = checkfield(md,'fieldname','materials.earth_density','>',0,'numel',1);
 			end
@@ -152,8 +134,4 @@
 			fielddisplay(self,'rheology_n','Glen''s flow law exponent');
 			fielddisplay(self,'rheology_law',['law for the temperature dependance of the rheology: ''None'', ''BuddJacka'', ''Cuffey'', ''CuffeyTemperate'', ''Paterson'', ''Arrhenius'' or ''LliboutryDuval''']);
-			fielddisplay(self,'lithosphere_shear_modulus','Lithosphere shear modulus [Pa]');
-			fielddisplay(self,'lithosphere_density','Lithosphere density [g/cm^-3]');
-			fielddisplay(self,'mantle_shear_modulus','Mantle shear modulus [Pa]');
-			fielddisplay(self,'mantle_density','Mantle density [g/cm^-3]');
 			fielddisplay(self,'earth_density','Mantle density [kg/m^-3]');
 		end % }}}
@@ -177,8 +155,4 @@
 			WriteData(fid,prefix,'data',self.rheology_law,'name','md.materials.rheology_law','format','String');
 
-			WriteData(fid,prefix,'object',self,'class','materials','fieldname','lithosphere_shear_modulus','format','Double');
-			WriteData(fid,prefix,'object',self,'class','materials','fieldname','lithosphere_density','format','Double','scale',10^3);
-			WriteData(fid,prefix,'object',self,'class','materials','fieldname','mantle_shear_modulus','format','Double');
-			WriteData(fid,prefix,'object',self,'class','materials','fieldname','mantle_density','format','Double','scale',10^3);
 			WriteData(fid,prefix,'object',self,'class','materials','fieldname','earth_density','format','Double');
 
Index: issm/trunk/src/m/classes/matdamageice.py
===================================================================
--- issm/trunk/src/m/classes/matdamageice.py	(revision 25994)
+++ issm/trunk/src/m/classes/matdamageice.py	(revision 26744)
@@ -1,2 +1,4 @@
+import numpy as np
+
 from fielddisplay import fielddisplay
 from project3d import project3d
@@ -6,6 +8,5 @@
 
 class matdamageice(object):
-    """
-    MATICE class definition
+    """MATICE class definition
 
        Usage:
@@ -14,55 +15,46 @@
 
     def __init__(self):  # {{{
-        self.rho_ice = 0.
-        self.rho_water = 0.
-        self.rho_freshwater = 0.
-        self.mu_water = 0.
-        self.heatcapacity = 0.
-        self.latentheat = 0.
-        self.thermalconductivity = 0.
-        self.temperateiceconductivity = 0.
+        self.rho_ice = 0
+        self.rho_water = 0
+        self.rho_freshwater = 0
+        self.mu_water = 0
+        self.heatcapacity = 0
+        self.latentheat = 0
+        self.thermalconductivity = 0
+        self.temperateiceconductivity = 0
         self.effectiveconductivity_averaging = 0
-        self.meltingpoint = 0.
-        self.beta = 0.
-        self.mixed_layer_capacity = 0.
-        self.thermal_exchange_velocity = 0.
-        self.rheology_B = float('NaN')
-        self.rheology_n = float('NaN')
+        self.meltingpoint = 0
+        self.beta = 0
+        self.mixed_layer_capacity = 0
+        self.thermal_exchange_velocity = 0
+        self.rheology_B = np.nan
+        self.rheology_n = np.nan
         self.rheology_law = ''
 
-    #giaivins:
-        self.lithosphere_shear_modulus = 0.
-        self.lithosphere_density = 0.
-        self.mantle_shear_modulus = 0.
-        self.mantle_density = 0.
+        #SLC
+        self.earth_density = 0
 
-    #SLR
-        self.earth_density = 5512  # average density of the Earth, (kg / m^3)
         self.setdefaultparameters()
     #}}}
 
     def __repr__(self):  # {{{
-        string = "   Materials:"
-        string = "%s\n%s" % (string, fielddisplay(self, "rho_ice", "ice density [kg / m^3]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "rho_water", "water density [kg / m^3]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "rho_freshwater", "fresh water density [kg / m^3]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "mu_water", "water viscosity [N s / m^2]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "heatcapacity", "heat capacity [J / kg / K]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "thermalconductivity", "ice thermal conductivity [W / m / K]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "temperateiceconductivity", "temperate ice thermal conductivity [W / m / K]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "effectiveconductivity_averaging", "computation of effectiveconductivity: (0) arithmetic mean, (1) harmonic mean, (2) geometric mean (default)"))
-        string = "%s\n%s" % (string, fielddisplay(self, "meltingpoint", "melting point of ice at 1atm in K"))
-        string = "%s\n%s" % (string, fielddisplay(self, "latentheat", "latent heat of fusion [J / m^3]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "beta", "rate of change of melting point with pressure [K / Pa]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "mixed_layer_capacity", "mixed layer capacity [W / kg / K]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "thermal_exchange_velocity", "thermal exchange velocity [m / s]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "rheology_B", "flow law parameter [Pa s^(1 / n)]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "rheology_n", "Glen's flow law exponent"))
-        string = "%s\n%s" % (string, fielddisplay(self, "rheology_law", "law for the temperature dependance of the rheology: 'None', 'BuddJacka', 'Cuffey', 'CuffeyTemperate', 'Paterson', 'Arrhenius' or 'LliboutryDuval'"))
-        string = "%s\n%s" % (string, fielddisplay(self, "lithosphere_shear_modulus", "Lithosphere shear modulus [Pa]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "lithosphere_density", "Lithosphere density [g / cm^ - 3]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "mantle_shear_modulus", "Mantle shear modulus [Pa]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "mantle_density", "Mantle density [g / cm^ - 3]"))
-        string = "%s\n%s" % (string, fielddisplay(self, "earth_density", "Mantle density [kg / m^ - 3]"))
+        s = '   Materials:\n'
+        s += '{}\n'.format(fielddisplay(self, 'rho_ice', 'ice density [kg/m^3]'))
+        s += '{}\n'.format(fielddisplay(self, 'rho_water', 'water density [kg/m^3]'))
+        s += '{}\n'.format(fielddisplay(self, 'rho_freshwater', 'fresh water density [kg/m^3]'))
+        s += '{}\n'.format(fielddisplay(self, 'mu_water', 'water viscosity [N s/m^2]'))
+        s += '{}\n'.format(fielddisplay(self, 'heatcapacity', 'heat capacity [J/kg/K]'))
+        s += '{}\n'.format(fielddisplay(self, 'thermalconductivity', 'ice thermal conductivity [W/m/K]'))
+        s += '{}\n'.format(fielddisplay(self, 'temperateiceconductivity', 'temperate ice thermal conductivity [W/m/K]'))
+        s += '{}\n'.format(fielddisplay(self, 'effectiveconductivity_averaging', 'computation of effectiveconductivity: (0) arithmetic mean, (1) harmonic mean, (2) geometric mean (default)'))
+        s += '{}\n'.format(fielddisplay(self, 'meltingpoint', 'melting point of ice at 1atm in K'))
+        s += '{}\n'.format(fielddisplay(self, 'latentheat', 'latent heat of fusion [J/m^3]'))
+        s += '{}\n'.format(fielddisplay(self, 'beta', 'rate of change of melting point with pressure [K/Pa]'))
+        s += '{}\n'.format(fielddisplay(self, 'mixed_layer_capacity', 'mixed layer capacity [W/ kg/K]'))
+        s += '{}\n'.format(fielddisplay(self, 'thermal_exchange_velocity', 'thermal exchange velocity [m/s]'))
+        s += '{}\n'.format(fielddisplay(self, 'rheology_B', 'flow law parameter [Pa s^(1/n)]'))
+        s += '{}\n'.format(fielddisplay(self, 'rheology_n', 'Glen\'s flow law exponent'))
+        s += '{}\n'.format(fielddisplay(self, 'rheology_law', 'law for the temperature dependance of the rheology: \'None\', \'BuddJacka\', \'Cuffey\', \'CuffeyTemperate\', \'Paterson\', \'Arrhenius\' or \'LliboutryDuval\''))
+        s += '{}\n'.format(fielddisplay(self, 'earth_density', 'Mantle density [kg m^-3]'))
         return string
     #}}}
@@ -75,42 +67,36 @@
 
     def setdefaultparameters(self):  # {{{
-        #ice density (kg / m^3)
-        self.rho_ice = 917.
-        #ocean water density (kg / m^3)
-        self.rho_water = 1023.
-        #fresh water density (kg / m^3)
-        self.rho_freshwater = 1000.
-        #water viscosity (N.s / m^2)
+        # Ice density (kg/m^3)
+        self.rho_ice = 917.0
+        # Ocean water density (kg/m^3)
+        self.rho_water = 1023.0
+        # Fresh water density (kg/m^3)
+        self.rho_freshwater = 1000.0
+        # Water viscosity (N.s/m^2)
         self.mu_water = 0.001787
-        #ice heat capacity cp (J / kg / K)
-        self.heatcapacity = 2093.
-        #ice latent heat of fusion L (J / kg)
-        self.latentheat = 3.34e5
-        #ice thermal conductivity (W / m / K)
+        # Ice heat capacity cp (J/kg/K)
+        self.heatcapacity = 2093.0
+        # Ice latent heat of fusion L (J/kg)
+        self.latentheat = 3.34 * pow(10, 5)
+        # Ice thermal conductivity (W/m/K)
         self.thermalconductivity = 2.4
-        #temperate ice thermal conductivity (W / m / K)
+        # Temperate ice thermal conductivity (W/m/K)
         self.temperateiceconductivity = 0.24
-        #computation of effective conductivity
+        # Computation of effective conductivity
         self.effectiveconductivity_averaging = 1
-        #the melting point of ice at 1 atmosphere of pressure in K
+        # The melting point of ice at 1 atmosphere of pressure in K
         self.meltingpoint = 273.15
-        #rate of change of melting point with pressure (K / Pa)
-        self.beta = 9.8e-8
-        #mixed layer (ice-water interface) heat capacity (J / kg / K)
-        self.mixed_layer_capacity = 3974.
-        #thermal exchange velocity (ice-water interface) (m / s)
+        # Rate of change of melting point with pressure (K/Pa)
+        self.beta = 9.8 * pow(10, -8)
+        # Mixed layer (ice-water interface) heat capacity (J/kg/K)
+        self.mixed_layer_capacity = 3974.0
+        # Thermal exchange velocity (ice-water interface) (m/s)
         self.thermal_exchange_velocity = 1.00e-4
-        #Rheology law: what is the temperature dependence of B with T
-        #available: none, paterson and arrhenius
+        # Rheology law: what is the temperature dependence of B with T 
+        # available: none, paterson and arrhenius
         self.rheology_law = 'Paterson'
 
-        # GIA:
-        self.lithosphere_shear_modulus = 6.7e10  # (Pa)
-        self.lithosphere_density = 3.32  # (g / cm^ - 3)
-        self.mantle_shear_modulus = 1.45e11  # (Pa)
-        self.mantle_density = 3.34  # (g / cm^ - 3)
-
-        #SLR
-        self.earth_density = 5512  #average density of the Earth, (kg / m^3)
+        # SLC
+        self.earth_density = 5512  # average density of the Earth (kg/m^3)
         return self
     #}}}
@@ -125,17 +111,6 @@
         md = checkfield(md, 'fieldname', 'materials.rheology_law', 'values', ['None', 'BuddJacka', 'Cuffey', 'CuffeyTemperate', 'Paterson', 'Arrhenius', 'LliboutryDuval'])
         md = checkfield(md, 'fieldname', 'materials.effectiveconductivity_averaging', 'numel', [1], 'values', [0, 1, 2])
-        md = checkfield(md, 'fieldname', 'materials.lithosphere_shear_modulus', '>', 0, 'numel', [1])
-        md = checkfield(md, 'fieldname', 'materials.lithosphere_density', '>', 0, 'numel', [1])
-        md = checkfield(md, 'fieldname', 'materials.mantle_shear_modulus', '>', 0, 'numel', [1])
-        md = checkfield(md, 'fieldname', 'materials.mantle_density', '>', 0, 'numel', [1])
-        md = checkfield(md, 'fieldname', 'materials.earth_density', '>', 0, 'numel', [1])
 
-        if 'GiaAnalysis' in analyses:
-            md = checkfield(md, 'fieldname', 'materials.lithosphere_shear_modulus', '>', 0, 'numel', 1)
-            md = checkfield(md, 'fieldname', 'materials.lithosphere_density', '>', 0, 'numel', 1)
-            md = checkfield(md,'fieldname', 'materials.mantle_shear_modulus', '>', 0, 'numel', 1)
-            md = checkfield(md,'fieldname', 'materials.mantle_density', '>', 0, 'numel', 1)
-
-        if 'SealevelriseAnalysis' in analyses:
+        if 'SealevelchangeAnalysis' in analyses:
                 md = checkfield(md, 'fieldname', 'materials.earth_density', '>', 0, 'numel', 1)
 
@@ -161,8 +136,4 @@
         WriteData(fid, prefix, 'object', self, 'class', 'materials', 'fieldname', 'rheology_n', 'format', 'DoubleMat', 'mattype', 2)
         WriteData(fid, prefix, 'data', self.rheology_law, 'name', 'md.materials.rheology_law', 'format', 'String')
-        WriteData(fid, prefix, 'object', self, 'class', 'materials', 'fieldname', 'lithosphere_shear_modulus', 'format', 'Double')
-        WriteData(fid, prefix, 'object', self, 'class', 'materials', 'fieldname', 'lithosphere_density', 'format', 'Double', 'scale', 10.**3.)
-        WriteData(fid, prefix, 'object', self, 'class', 'materials', 'fieldname', 'mantle_shear_modulus', 'format', 'Double')
-        WriteData(fid, prefix, 'object', self, 'class', 'materials', 'fieldname', 'mantle_density', 'format', 'Double', 'scale', 10.**3.)
         WriteData(fid, prefix, 'object', self, 'class', 'materials', 'fieldname', 'earth_density', 'format', 'Double')
 
